ProximityQueryNode.Type (Lucene 3.6.2 API)
Keywords: org.apache.lucene.queryParser.core.nodes.ProximityQueryNode.Type class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.queryParser.core.nodes
Enum ProximityQueryNode.Type

    java.lang.Object
      java.lang.Enum<ProximityQueryNode.Type>
          org.apache.lucene.queryParser.core.nodes.ProximityQueryNode.Type

All Implemented Interfaces:
  Serializable, Comparable<ProximityQueryNode.Type>

Enclosing class:
  ProximityQueryNode

    public static enum ProximityQueryNode.Type

extends Enum<ProximityQueryNode.Type>

Enum Constant Summary
`NUMBER`
`PARAGRAPH`
`SENTENCE`

Method Summary
`static ProximityQueryNode.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProximityQueryNode.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARAGRAPH

    public static final ProximityQueryNode.Type PARAGRAPH

### SENTENCE

    public static final ProximityQueryNode.Type SENTENCE

### NUMBER

    public static final ProximityQueryNode.Type NUMBER

Method Detail

### values

    public static final ProximityQueryNode.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ProximityQueryNode.Type c : ProximityQueryNode.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ProximityQueryNode.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD